- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
geventhandler.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gdatetime.h"`
`#include "gdescriptor.h"`
`#include <map>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::EventHandler
| A base class for classes that handle asynchronous socket events. More...
class | GNet::EventHandlerList
| A class which can be used in the implemention of classes derived from GNet::EventLoop. More...

## Namespaces
| GNet
| Network classes.